[lucid] add support for Marvel 0x8431 (88E8059)

Bug #537168 reported by spaetz on 2010-03-11
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Eric Miao
Nominated for Lucid by spaetz

Bug Description

New netbooks (eg. the Hewlett Packard 5102) have a Marvell ethernet card (0x11AB:0x8431). Support for this card went into 2.6.33 (in the sky2 driver), but not in 2.6.31. The patch to support it has been taken into the Suse kernel and works fine there. Given that the 2.6.31 kernel is going to be used for quite some time, it would be great to also support this device and take the Suse patch (which is really just 3 kernel upstream patches).
The patches are here:
http://gitorious.org/opensuse/kernel-source/commit/68c33163d0e1e7bf44cf0bb4c6b8497e944d7886

I am going to send a mail to the kernel list to facilitate some discussion, thanks in advance.

spaetz (spaetz) wrote :

For your convencience, I attach those 4 (upstreamed) patches that work.

spaetz (spaetz) wrote :
spaetz (spaetz) wrote :
spaetz (spaetz) wrote :

These 4 should be all that is needed.

tags: added: patch
tags: added: kernel-series-unknown
spaetz (spaetz) wrote :

I don't know if there are any chances to get this into the 2.6.31. if not, just close this. But for the archive, The patch author contacted me and send a small improvement that was upstreamed later:

[PATCH] sky2: 88E8059 support
From: Stephen Hemminger <email address hidden>
+ if (chipid >= CHIP_ID_YUKON_XL && chipid < CHIP_ID_YUKON_OPT)

That was changed to:
+ if (chipid >= CHIP_ID_YUKON_XL && chipid <= CHIP_ID_YUKON_OPT)

gokul (dotgokul) wrote :

affects me too:
I have a vaio vpceb16fg laptop with the same Gigabit ethernet card (88E8059 PCI-E GIGABIT ETHERNET)

Anirudh S (gingerjoos) wrote :

is there any backports package that can be used? Or do we _have_ to get the source, patch and then use the kernel? Would be great for Plain Joes if this patch is put into 2.6.31

Eric Miao (eric.y.miao) wrote :

This is actually merged in mainline as commit 0f5aac7 (http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=0f5aac7070a01ec757ed243febe4fff7c944c4d2). Could you please check if this commit is all you need for your network to work.

Eric Miao (eric.y.miao) wrote :

The other three patches, I guess are non-relevant to the basic enabling though.

Eric Miao (eric.y.miao) wrote :

Talked with Chase and Brad, I've built two test kernels (i386/amd64) including all these four patches.

http://people.canonical.com/~ycmiao/linux-image-2.6.32-19-generic_2.6.32-19.29~lp537168_i386.deb
http://people.canonical.com/~ycmiao/linux-image-2.6.32-19-generic_2.6.32-19.29~lp537168_amd64.deb

spaetz, could you help to get them tested? And by 2.6.31, I'm not sure if you are talking about lucid kernel?

spaetz (spaetz) wrote :

Wow, thanks for the .deb. Yes, I will test the kernel over the weekend. Does your patches contain the additional fix as indicated in comment #5? In any case, thanks for your efforts already.

spaetz (spaetz) wrote :

[ 1.683765] sky2 driver version 1.25
[ 1.683965] sky2 0000:43:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 1.684096] sky2 0000:43:00.0: setting latency timer to 64
[ 1.684287] sky2 0000:43:00.0: Yukon-2 (chip 0xbc) chip revision 1
[ 1.685252] alloc irq_desc for 27 on node -1
[ 1.685260] alloc kstat_irqs on node -1
[ 1.685384] sky2 0000:43:00.0: irq 27 for MSI/MSI-X
[ 1.687896] sky2 eth0: addr d8:d3:85:13:eb:36

I have not tested this fully yet, but want to report back quickly. I just installed the i386 version of the above kernel, and it seems to work fine. NetworkManager shows the card now. I'll try it some more, but looks good so far.

Eric Miao (eric.y.miao) wrote :

Not yet. I searched Linus' tree and found the fix is already there, i.e.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=dae3a5112d258764cad9e48439ca7dd05c2edca1

This version of the commit is then merged, and I've re-build the above two kernel packages. Please retry and let know the result, thanks.

http://people.canonical.com/~ycmiao/linux-image-2.6.32-19-generic_2.6.32-19.29~lp537168_i386.deb
http://people.canonical.com/~ycmiao/linux-image-2.6.32-19-generic_2.6.32-19.29~lp537168_amd64.deb

spaetz (spaetz) wrote :

The previous kernel worked fine, btw. The last kernel seems to work with my card too, ifocnfig shows the network, and network manager sees it too. I have not tested the ethernet port under stress yet. Will do that over the coming days and report back. But it seems to work fine. Thanks for your work, Eric.

Andy Whitcroft (apw) on 2010-04-13
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Andy Whitcroft (apw)
assignee: Andy Whitcroft (apw) → Eric Miao (eric.y.miao)
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-21.31

---------------
linux (2.6.32-21.31) lucid; urgency=low

  [ Andy Whitcroft ]

  * allow modules.builtin to be optional
  * d-i: add mpt2sas to the message-modules udeb
    - LP: #530361

  [ Christopher James Halse Rogers ]

  * SAUCE: Nouveau: Add quirk framework to disable acceleration
    - LP: #544088, #546393
  * SAUCE: Nouveau: Disable acceleration on MacBook Pros
    - LP: #546393
  * SAUCE: Nouveau: Disable acceleration on GeForce3 cards
    - LP: #544088
  * SAUCE: Nouveau: Disable acceleration on 6100 cards
    - LP: #542950

  [ Stefan Bader ]

  * SAUCE: dma-mapping: Remove WARN_ON in dma_free_coherent
    - LP: #458201

  [ Surbhi Palande ]

  * SAUCE: sync before umount to reduce time taken by ext4 umount
    - LP: #543617

  [ Upstream Kernel Changes ]

  * tipc: Fix oops on send prior to entering networked mode (v3)
    - CVE-2010-1187
  * KVM: x86 emulator: Add Virtual-8086 mode of emulation
    - LP: #561425
  * KVM: x86 emulator: fix memory access during x86 emulation
    - LP: #561425
  * KVM: x86 emulator: Check IOPL level during io instruction emulation
    - LP: #561425
  * KVM: x86 emulator: Fix popf emulation
    - LP: #561425
  * KVM: Fix segment descriptor loading
    - LP: #561425
  * KVM: VMX: Update instruction length on intercepted BP
    - LP: #561425
  * KVM: VMX: Use macros instead of hex value on cr0 initialization
    - LP: #561425
  * KVM: SVM: Reset cr0 properly on vcpu reset
    - LP: #561425
  * KVM: VMX: Disable unrestricted guest when EPT disabled
    - LP: #561425
  * KVM: x86: disable paravirt mmu reporting
    - LP: #561425
  * AppArmor: Fix put of unassigned ns if aa_unpack fails
  * AppArmor: Fix refcount bug when exec fails
    - LP: #562063
  * AppArmor: Take refcount on cxt->profile to ensure it remains a valid
    reference
    - LP: #367499
  * AppArmor: fix typo in scrubbing environment variable warning
    - LP: #562060
  * AppArmor: fix regression by setting default to mediate deleted files
    - LP: #562056
  * AppArmor: fix refcount order bug that can trigger during replacement
    - LP: #367499
  * AppArmor: Make sure to unmap aliases for vmalloced dfas before they are
    live
    - LP: #529288
  * AppArmor: address performance regression of replaced profile
    - LP: #549428
  * AppArmor: make the global side the correct type
    - LP: #562047
  * AppArmor: use the kernel shared workqueue to free vmalloc'ed dfas
  * sky2: add register definitions for new chips
    - LP: #537168
  * sky2: 88E8059 support
    - LP: #537168
  * net: Fix Yukon-2 Optima TCP offload setup
    - LP: #537168
  * net: Add missing TST_CFG_WRITE bits around sky2_pci_write
    - LP: #537168
  * sky2: print Optima chip name
    - LP: #537168
  * (Upstream) dell-laptop: defer dell_rfkill_update to worker thread
    - LP: #555261
  * drm/nv40: add LVDS table quirk for Dell Latitude D620
    - LP: #539730
 -- Andy Whitcroft <email address hidden> Tue, 13 Apr 2010 18:50:58 +0100

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers